#pragma once

#include <SDL3/SDL.h>

namespace Game {
    class Input {
        public:
            Input() = delete;

            static void update();
            static bool isKeyPressed(SDL_Scancode key);
            static bool isKeyJustPressed(SDL_Scancode key);
            static bool isKeyJustReleased(SDL_Scancode key);
        private:
            static const bool* mCurrentKeyStates;
            static bool* mPreviousKeyStates;
            static int mNumKeys;
    };
}